Subject: Re: [Gen-art] Genart last call review of draft-ietf-opsec-v6-21

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 8 Feb 2021 22:18:04 +0000

Hello Erik,

Revision -23 (soon to be published) should incorporate the remaining issues (most of the previous ones were fixed in the just released -22). See EV23>

Thank you again for your valuable review

-éric

-----Original Message-----
From: Eric Vyncke <[email-masked]>
Date: Saturday, 14 December 2019 at 22:22
To: Erik Kline <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: Genart last call review of draft-ietf-opsec-v6-21
Resent-From: <[email-masked]>
Resent-To: Eric Vyncke <[email-masked]>, Kiran Kumar Chittimaneni <[email-masked]>, Merike Kaeo <[email-masked]>, <[email-masked]>, Ron Bonica <[email-masked]>, <[email-masked]>, Ignas Badonas <[email-masked]>, <[email-masked]>, Gyan Mishra <[email-masked]>, <[email-masked]>
Resent-Date: Saturday, 14 December 2019 at 22:22

    Hello Erik

    Thank you again for the review. We have accepted all your nits except those below (see EV>). They will appear in revision -22

    Regards

    -éric (the other one)

    On 02/12/2019, 17:24, "Erik Kline via Datatracker" <[email-masked]> wrote:

        - It's not clear if RFC 2119 text is needed for this document as it is now.

    EV> it does IMHO as we have some cut&paste of text from RFC having those words.

EV23> thinking twice, completely removed now

        - 2.1.5

            - Could perhaps more explicitly state that DHCPv6 is not mandatory
              to implement per IPv6 Node Requirements (RFC 8504).

    EV23> text added

- 2.2

    - One might quibble with the statement "the extension header chain
      must be be parsed completely".  It has to be parsed enough so that
      it can be completely traversed, but it need not necessarily be
      parsed in a way that a node has to "understand" the contents --
      this is how the extension headers are designed, after all.

EV23> text modified into " the extension header chain must be parsed completely (even if not processed)", I hope that it is clearer now

        - 2.4.2

            - With the mention of NTP I suddenly thought: should there be
              DNS-related text as well, or does that fall within this section too?

    EV> as we mention protocols used by the routers, I would say that DNS is not really required & relied upon by routers (albeit often use), I would assume that DNS is simply included in the '...'

        - 2.5.3

            - The CYMRU link doesn't seem to go to a useful page anymore.  :-/

    EV> indeed, it looks like CYMRU has become a commercial company :-( unable to find the previous document :-( removed all links

EV23> found back a CYMRU page that is now also used for bogons